%define debug_package %{nil}

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           demo-rpm-test-build
Version:        0.0.1
Release:        %{mybuildnumber}%{?dist}
Summary:        Test build pipeline
BuildArch:      noarch

License:        GPLv2+
URL:            https://github.com/Rudd-O/%{name}
Source0:        https://github.com/Rudd-O/%{name}/archive/{%version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  make

Requires:       util-linux

%description
This package helps me test my build pipeline.

%prep
%setup -q

%build
# variables must be kept in sync with install
make DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir}

%install
rm -rf $RPM_BUILD_ROOT
# variables must be kept in sync with build
for target in install; do
    make $target DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir}
done

%post
/usr/bin/mount >&2
/usr/bin/ls -la /dev/null >&2
/usr/bin/echo Postinstall check succeeded | /usr/bin/tee -a /dev/null || exit $?

%files
%attr(0755, root, root) %{_bindir}/%{name}

%changelog
* Sun Feb 05 2023 Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
- Initial release.
